### Method

# Atk Registry set_factory_type

#### Declaration [src]

    void
    atk_registry_set_factory_type (
      AtkRegistry* registry,
      GType type,
      GType factory_type
    )

#### Description [src]

Associate an `AtkObjectFactory` subclass with a `GType`. Note: The associated `factory_type` will thereafter be responsible for the creation of new `AtkObject` implementations for instances appropriate for `type`.

#### Parameters

`type`

  Type: `GType`

  An `AtkObject` type.

`factory_type`

  Type: `GType`

  An `AtkObjectFactory` type to associate with `type`. Must implement AtkObject appropriate for `type`.